#include <iostream>

using namespace std;

int main()
{
    int n,m;
    int dv[100000];
    int uv[100000];
    int l[100000];
    int r[100000];
    int x[100000];
    cin >> n >> m;
    int broj = 0;
    for(int i = 0; i < n; i++){
        cin >> dv[i] >> uv[i];
    }
    for(int i = 0; i < m; i++){
        cin >> l[i] >> r[i] >> x[i];
    }
    
    for(int i = 0; i < m; i++){
        for(int j = l[i] - 1; j <= r[i] - 1; j++){
            if(x[i] >= dv[j] && x[i] <= uv[j]){
                broj++;
            }
        }
        cout << broj << endl;
        broj = 0;
    }
    return 0;
}